<div class="container">
  <div class="header">
          <h4 class="text-center text-light">Empeldos de Haibu</h4>
        <input type="text" class="form-control buscar" placeholder="Buscar..."  name="buscador" (input)="onSearchChange($event.target.value)">
  </div>
  <div class="row">
    <div *ngIf="this.data!=null && this.data.length>0 ; then thenBlock else elseBlock"></div>
    <ng-template #thenBlock>
      <div class="col-12 col-md-4 col-lg-3 col-sm-6" *ngFor="let obj of this.data" > 
        <tarjeta class="w-100 d-flex" [data]=obj></tarjeta>
      </div>
    </ng-template>
    <ng-template #elseBlock><h4 class="text-center text-light">No hay Datos</h4></ng-template>
    
  </div>
</div>
